Reward
Note: All endpoints require authentication and an
X-Tenantheader. See Authentication overview and How to get API information. Paths are relative to your intranet's API base URL. An Access line appears where an endpoint needs more than a signed-in user.
Endpoints on this page
- GET /api/reward
- GET /api/reward/active
- GET /api/reward/config
- GET /api/reward/inactive
- GET /api/reward/settings
- GET /api/reward/{id}
- POST /api/reward
- PUT /api/reward/{id}
- PUT /api/reward/{rewardId}/active
- DELETE /api/reward
- GET /api/reward/allowance/{id}
- GET /api/reward/allowances
- GET /api/reward/person-allowances
- POST /api/reward/allowance/bulk
- POST /api/reward/allowance/import
- POST /api/reward/allowance/import-parse
- POST /api/reward/allowance/populate
- PUT /api/reward/allowance/{allowanceId}/active
- PUT /api/reward/allowance/{id}
- GET /api/reward/award
- GET /api/reward/award/{id}
- POST /api/reward/award/bulk
- POST /api/reward/award/import
- POST /api/reward/award/import-parse
- PUT /api/reward/award/{awardId}/active
- DELETE /api/reward/award
- DELETE /api/reward/award/bulk
- GET /api/reward/category
- GET /api/reward/category/{id}
- POST /api/reward/category
- PUT /api/reward/category
- PUT /api/reward/category/active/{id}
- GET /api/reward/claim
- PUT /api/reward/claim
- PUT /api/reward/claim/{id}/process
- PUT /api/reward/claim/{id}/reverse
- GET /api/people/{id}/reward/allowance
- GET /api/people/{id}/reward/awards
- GET /api/people/{id}/reward/balance
- GET /api/people/{id}/reward/claim
- POST /api/people/{id}/reward/claim
- PUT /api/people/{id}/reward/award
- PUT /api/people/{id}/reward/claim
GET /api/reward
Gets all rewards
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
limit |
query | integer (int32) | Yes | |
offset |
query | integer (int32) | Yes | |
active |
query | boolean | No | |
order |
query | string | No | |
searchTerm |
query | string | No |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"TotalResults": 0,
"Offset": 0,
"Limit": 0,
"Context": [
{
"RewardId": 0,
"Title": "string",
"Description": "string",
"Total": 0,
"IsActive": true,
"AssetId": 0,
"Status": "Success"
}
],
"StatusCode": "Continue",
"Description": "string",
"SearchTerm": "string",
"Order": "string"
}| Field | Type |
|---|---|
TotalResults | integer (int32) |
Offset | integer (int32) |
Limit | integer (int32) |
Context | array of object |
StatusCode | string |
Description | string |
SearchTerm | string |
Order | string |
GET /api/reward/active
Gets active rewards
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
limit |
query | integer (int32) | Yes | |
offset |
query | integer (int32) | Yes | |
order |
query | string | No | |
searchTerm |
query | string | No |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 404 |
Response body
{
"TotalResults": 0,
"Offset": 0,
"Limit": 0,
"Context": [
{
"RewardId": 0,
"Title": "string",
"Description": "string",
"Total": 0,
"IsActive": true,
"AssetId": 0,
"Status": "Success"
}
],
"StatusCode": "Continue",
"Description": "string",
"SearchTerm": "string",
"Order": "string"
}| Field | Type |
|---|---|
TotalResults | integer (int32) |
Offset | integer (int32) |
Limit | integer (int32) |
Context | array of object |
StatusCode | string |
Description | string |
SearchTerm | string |
Order | string |
GET /api/reward/config
Get the reward configuration.
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 404 |
Response body
{
"Title": "string",
"Context": {
"DefaultAwardPoints": 0,
"AwardTitle": "string",
"AwardTitlePlural": "string",
"RecognitionPhrase": "string",
"AllowRewardClaims": true,
"MaxPointsPerAward": 0,
"UseMaxPointsLimit": true,
"RequireCategoriesToBeSelected": true
},
"Description": "string",
"StatusCode": "Continue",
"ErrorCollection": {},
"HasErrors": true,
"TotalResults": 0
}| Field | Type |
|---|---|
Title | string |
Context | object |
Description | string |
StatusCode | string |
ErrorCollection | object |
HasErrors | boolean |
TotalResults | integer (int32) |
GET /api/reward/inactive
Gets inactive rewards
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
limit |
query | integer (int32) | Yes | |
offset |
query | integer (int32) | Yes | |
order |
query | string | No | |
searchTerm |
query | string | No |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 404 |
Response body
{
"TotalResults": 0,
"Offset": 0,
"Limit": 0,
"Context": [
{
"RewardId": 0,
"Title": "string",
"Description": "string",
"Total": 0,
"IsActive": true,
"AssetId": 0,
"Status": "Success"
}
],
"StatusCode": "Continue",
"Description": "string",
"SearchTerm": "string",
"Order": "string"
}| Field | Type |
|---|---|
TotalResults | integer (int32) |
Offset | integer (int32) |
Limit | integer (int32) |
Context | array of object |
StatusCode | string |
Description | string |
SearchTerm | string |
Order | string |
GET /api/reward/settings
Get the reward settings.
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 404 |
Response body
{
"Title": "string",
"Context": {
"DefaultAwardPoints": 0,
"RewardsAdministratorId": 0,
"AdministratorFirstName": "string",
"AdministratorLastName": "string",
"AwardTitle": "string",
"AwardTitlePlural": "string",
"RecognitionPhrase": "string",
"AllowRewardClaims": true,
"SendRecipientAwardAlert": true,
"AwardLimitType": "CalendarMonth",
"AwardLimit": 0,
"UseAwardLimit": true,
"PointLimitType": "CalendarMonth",
"PointLimit": 0,
"UsePointLimit": true,
"MaxPointsPerAward": 0,
"UseMaxPointsLimit": true,
"RequireCategoriesToBeSelected": true
},
"Description": "string",
"StatusCode": "Continue",
"ErrorCollection": {},
"HasErrors": true,
"TotalResults": 0
}| Field | Type |
|---|---|
Title | string |
Context | object |
Description | string |
StatusCode | string |
ErrorCollection | object |
HasErrors | boolean |
TotalResults | integer (int32) |
GET /api/reward/{id}
Gets a reward by id
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 404 |
Response body
{
"Title": "string",
"Context": {
"RewardId": 0,
"Title": "string",
"Description": "string",
"Total": 0,
"IsActive": true,
"AssetId": 0,
"Status": "Success"
},
"Description": "string",
"StatusCode": "Continue",
"ErrorCollection": {},
"HasErrors": true,
"TotalResults": 0
}| Field | Type |
|---|---|
Title | string |
Context | object |
Description | string |
StatusCode | string |
ErrorCollection | object |
HasErrors | boolean |
TotalResults | integer (int32) |
POST /api/reward
Adds a reward
Request body
{
"RewardId": 0,
"Title": "string",
"Description": "string",
"Total": 0,
"IsActive": true,
"AssetId": 0
}| Field | Type |
|---|---|
RewardId | integer (int32) |
Title | string |
Description | string |
Total | integer (int32) |
IsActive | boolean |
AssetId | integer (int32) |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"Title": "string",
"Context": {
"RewardId": 0,
"Title": "string",
"Description": "string",
"Total": 0,
"IsActive": true,
"AssetId": 0,
"Status": "Success"
},
"Description": "string",
"StatusCode": "Continue",
"ErrorCollection": {},
"HasErrors": true,
"TotalResults": 0
}| Field | Type |
|---|---|
Title | string |
Context | object |
Description | string |
StatusCode | string |
ErrorCollection | object |
HasErrors | boolean |
TotalResults | integer (int32) |
PUT /api/reward/{id}
Updates a reward
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
path | string | Yes |
Request body
{
"RewardId": 0,
"Title": "string",
"Description": "string",
"Total": 0,
"IsActive": true,
"AssetId": 0
}| Field | Type |
|---|---|
RewardId | integer (int32) |
Title | string |
Description | string |
Total | integer (int32) |
IsActive | boolean |
AssetId | integer (int32) |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"Title": "string",
"Context": {
"RewardId": 0,
"Title": "string",
"Description": "string",
"Total": 0,
"IsActive": true,
"AssetId": 0,
"Status": "Success"
},
"Description": "string",
"StatusCode": "Continue",
"ErrorCollection": {},
"HasErrors": true,
"TotalResults": 0
}| Field | Type |
|---|---|
Title | string |
Context | object |
Description | string |
StatusCode | string |
ErrorCollection | object |
HasErrors | boolean |
TotalResults | integer (int32) |
PUT /api/reward/{rewardId}/active
Toggle active status of specific award
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
rewardId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 |
DELETE /api/reward
Delete a reward by Id
Request body
{
"RewardId": 0,
"Title": "string",
"Description": "string",
"Total": 0,
"IsActive": true,
"AssetId": 0
}| Field | Type |
|---|---|
RewardId | integer (int32) |
Title | string |
Description | string |
Total | integer (int32) |
IsActive | boolean |
AssetId | integer (int32) |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"Title": "string",
"Context": {
"RewardId": 0,
"Title": "string",
"Description": "string",
"Total": 0,
"IsActive": true,
"AssetId": 0,
"Status": "Success"
},
"Description": "string",
"StatusCode": "Continue",
"ErrorCollection": {},
"HasErrors": true,
"TotalResults": 0
}| Field | Type |
|---|---|
Title | string |
Context | object |
Description | string |
StatusCode | string |
ErrorCollection | object |
HasErrors | boolean |
TotalResults | integer (int32) |
GET /api/reward/allowance/{id}
Gets an allowance by id
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 404 |
Response body
{
"Title": "string",
"Context": {
"AllowanceId": 0,
"PersonId": 0,
"FullName": "string",
"Username": "string",
"Email": "string",
"Department": "string",
"Total": 0,
"Remaining": 0,
"StartDate": "2024-01-01T00:00:00Z",
"EndDate": "2024-01-01T00:00:00Z",
"IsActive": true,
"Status": "Success",
"StatusMessage": "string"
},
"Description": "string",
"StatusCode": "Continue",
"ErrorCollection": {},
"HasErrors": true,
"TotalResults": 0
}| Field | Type |
|---|---|
Title | string |
Context | object |
Description | string |
StatusCode | string |
ErrorCollection | object |
HasErrors | boolean |
TotalResults | integer (int32) |
GET /api/reward/allowances
Gets all allowances
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
limit |
query | integer (int32) | Yes | |
offset |
query | integer (int32) | Yes | |
order |
query | string | No | |
searchTerm |
query | string | No | |
dateFrom |
query | string (date-time) | No | |
dateTo |
query | string (date-time) | No |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"TotalResults": 0,
"Offset": 0,
"Limit": 0,
"Context": [
{
"PersonId": 0,
"FullName": "string",
"Username": "string",
"Email": "string",
"Department": "string",
"Total": 0,
"Remaining": 0,
"Status": "Success",
"StatusMessage": "string"
}
],
"StatusCode": "Continue",
"Description": "string",
"SearchTerm": "string",
"Order": "string"
}| Field | Type |
|---|---|
TotalResults | integer (int32) |
Offset | integer (int32) |
Limit | integer (int32) |
Context | array of object |
StatusCode | string |
Description | string |
SearchTerm | string |
Order | string |
GET /api/reward/person-allowances
Gets all allowances for a person
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
personId |
query | integer (int32) | Yes | |
limit |
query | integer (int32) | Yes | |
offset |
query | integer (int32) | Yes | |
active |
query | boolean | No | |
order |
query | string | No | |
dateFrom |
query | string (date-time) | No | |
dateTo |
query | string (date-time) | No |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"TotalResults": 0,
"Offset": 0,
"Limit": 0,
"Context": [
{
"AllowanceId": 0,
"PersonId": 0,
"FullName": "string",
"Username": "string",
"Email": "string",
"Department": "string",
"Total": 0,
"Remaining": 0,
"StartDate": "2024-01-01T00:00:00Z",
"EndDate": "2024-01-01T00:00:00Z",
"IsActive": true,
"Status": "Success",
"StatusMessage": "string"
}
],
"StatusCode": "Continue",
"Description": "string",
"SearchTerm": "string",
"Order": "string"
}| Field | Type |
|---|---|
TotalResults | integer (int32) |
Offset | integer (int32) |
Limit | integer (int32) |
Context | array of object |
StatusCode | string |
Description | string |
SearchTerm | string |
Order | string |
POST /api/reward/allowance/bulk
Bulk add allowances
Request body
[
{
"AllowanceId": 0,
"PersonId": 0,
"Total": 0,
"StartDate": "2024-01-01T00:00:00Z",
"EndDate": "2024-01-01T00:00:00Z",
"IsActive": true
}
]| Field | Type |
|---|---|
AllowanceId | integer (int32) |
PersonId | integer (int32) |
Total | integer (int32) |
StartDate | string (date-time) |
EndDate | string (date-time) |
IsActive | boolean |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 |
Response body
[
{
"AllowanceId": 0,
"PersonId": 0,
"FullName": "string",
"Username": "string",
"Email": "string",
"Department": "string",
"Total": 0,
"Remaining": 0,
"StartDate": "2024-01-01T00:00:00Z",
"EndDate": "2024-01-01T00:00:00Z",
"IsActive": true,
"Status": "Success",
"StatusMessage": "string"
}
]| Field | Type |
|---|---|
AllowanceId | integer (int32) |
PersonId | integer (int32) |
FullName | string |
Username | string |
Email | string |
Department | string |
Total | integer (int32) |
Remaining | integer (int32) |
StartDate | string (date-time) |
EndDate | string (date-time) |
IsActive | boolean |
Status | string |
StatusMessage | string |
POST /api/reward/allowance/import
Bulk import allowances
Request body
[
{
"AllowanceId": 0,
"PersonId": 0,
"Total": 0,
"StartDate": "2024-01-01T00:00:00Z",
"EndDate": "2024-01-01T00:00:00Z",
"IsActive": true
}
]| Field | Type |
|---|---|
AllowanceId | integer (int32) |
PersonId | integer (int32) |
Total | integer (int32) |
StartDate | string (date-time) |
EndDate | string (date-time) |
IsActive | boolean |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 |
Response body
[
{
"AllowanceId": 0,
"PersonId": 0,
"FullName": "string",
"Username": "string",
"Email": "string",
"Department": "string",
"Total": 0,
"Remaining": 0,
"StartDate": "2024-01-01T00:00:00Z",
"EndDate": "2024-01-01T00:00:00Z",
"IsActive": true,
"Status": "Success",
"StatusMessage": "string"
}
]| Field | Type |
|---|---|
AllowanceId | integer (int32) |
PersonId | integer (int32) |
FullName | string |
Username | string |
Email | string |
Department | string |
Total | integer (int32) |
Remaining | integer (int32) |
StartDate | string (date-time) |
EndDate | string (date-time) |
IsActive | boolean |
Status | string |
StatusMessage | string |
POST /api/reward/allowance/import-parse
Bulk import allowances
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 403 |
Response body
[
{
"RowNumber": 0,
"RowAllowanceId": 0,
"RowPersonId": 0,
"RowEmail": "string",
"RowUmiId": "string",
"RowTotal": 0,
"RowStartDate": "2024-01-01T00:00:00Z",
"RowEndDate": "2024-01-01T00:00:00Z",
"RowIsActive": true,
"RowIsDelete": true,
"FullName": "string",
"PersonId": 0,
"Errors": [
{
"Type": "string",
"Message": "string"
}
]
}
]| Field | Type |
|---|---|
RowNumber | integer (int32) |
RowAllowanceId | integer (int32) |
RowPersonId | integer (int32) |
RowEmail | string |
RowUmiId | string |
RowTotal | integer (int32) |
RowStartDate | string (date-time) |
RowEndDate | string (date-time) |
RowIsActive | boolean |
RowIsDelete | boolean |
FullName | string |
PersonId | integer (int32) |
Errors | array of object |
POST /api/reward/allowance/populate
Populates allowance for all active users
Request body
{
"Title": "string",
"Total": 0,
"People": [
0
],
"Companies": [
0
],
"Departments": [
0
],
"Locations": [
0
],
"StartDate": "2024-01-01T00:00:00Z",
"EndDate": "2024-01-01T00:00:00Z",
"IsActive": true,
"GiveToAll": true
}| Field | Type |
|---|---|
Title | string |
Total | integer (int32) |
People | array of integer |
Companies | array of integer |
Departments | array of integer |
Locations | array of integer |
StartDate | string (date-time) |
EndDate | string (date-time) |
IsActive | boolean |
GiveToAll | boolean |
Responses
| Status | Body |
|---|---|
| 200 | object |
| 400 | |
| 403 |
PUT /api/reward/allowance/{allowanceId}/active
Toggle active status of specific allowance
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
allowanceId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 |
PUT /api/reward/allowance/{id}
Update an allowance
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
path | integer (int32) | Yes |
Request body
{
"AllowanceId": 0,
"StartDate": "2024-01-01T00:00:00Z",
"EndDate": "2024-01-01T00:00:00Z",
"IsActive": true
}| Field | Type |
|---|---|
AllowanceId | integer (int32) |
StartDate | string (date-time) |
EndDate | string (date-time) |
IsActive | boolean |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 |
Response body
{
"AllowanceId": 0,
"PersonId": 0,
"FullName": "string",
"Username": "string",
"Email": "string",
"Department": "string",
"Total": 0,
"Remaining": 0,
"StartDate": "2024-01-01T00:00:00Z",
"EndDate": "2024-01-01T00:00:00Z",
"IsActive": true,
"Status": "Success",
"StatusMessage": "string"
}| Field | Type |
|---|---|
AllowanceId | integer (int32) |
PersonId | integer (int32) |
FullName | string |
Username | string |
Email | string |
Department | string |
Total | integer (int32) |
Remaining | integer (int32) |
StartDate | string (date-time) |
EndDate | string (date-time) |
IsActive | boolean |
Status | string |
StatusMessage | string |
GET /api/reward/award
Get all awards
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
limit |
query | integer (int32) | Yes | |
offset |
query | integer (int32) | Yes | |
active |
query | boolean | No | |
order |
query | string | No | |
searchTerm |
query | string | No | |
dateFrom |
query | string (date-time) | No | |
dateTo |
query | string (date-time) | No | |
categories |
query | string | No |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"TotalResults": 0,
"Offset": 0,
"Limit": 0,
"Context": [
{
"AwardId": 0,
"PersonId": 0,
"RecipientFullName": "string",
"RecipientUsername": "string",
"RecipientEmail": "string",
"Total": 0,
"Reason": "string",
"AwardedById": 0,
"AwarderFullName": "string",
"AwarderUsername": "string",
"AwarderEmail": "string",
"DateAdded": "2024-01-01T00:00:00Z",
"Active": true,
"TimelineActionId": 0,
"Categories": "string",
"Status": "Success",
"ValidationMessage": "string",
"AwardTitle": "string",
"StatusMessage": "string"
}
],
"StatusCode": "Continue",
"Description": "string",
"SearchTerm": "string",
"Order": "string"
}| Field | Type |
|---|---|
TotalResults | integer (int32) |
Offset | integer (int32) |
Limit | integer (int32) |
Context | array of object |
StatusCode | string |
Description | string |
SearchTerm | string |
Order | string |
GET /api/reward/award/{id}
Get an award by id
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | object |
POST /api/reward/award/bulk
Bulk assign awards
Request body
[
{
"PersonId": 0,
"Total": 0,
"Reason": "string",
"AwardedById": 0,
"CategoryIds": [
0
]
}
]| Field | Type |
|---|---|
PersonId | integer (int32) |
Total | integer (int32) |
Reason | string |
AwardedById | integer (int32) |
CategoryIds | array of integer |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 |
Response body
{
"TotalResults": 0,
"Offset": 0,
"Limit": 0,
"Context": [
{
"AwardId": 0,
"PersonId": 0,
"RecipientFullName": "string",
"RecipientUsername": "string",
"RecipientEmail": "string",
"Total": 0,
"Reason": "string",
"AwardedById": 0,
"AwarderFullName": "string",
"AwarderUsername": "string",
"AwarderEmail": "string",
"DateAdded": "2024-01-01T00:00:00Z",
"Active": true,
"TimelineActionId": 0,
"Categories": "string",
"Status": "Success",
"ValidationMessage": "string",
"AwardTitle": "string",
"StatusMessage": "string"
}
],
"StatusCode": "Continue",
"Description": "string",
"SearchTerm": "string",
"Order": "string"
}| Field | Type |
|---|---|
TotalResults | integer (int32) |
Offset | integer (int32) |
Limit | integer (int32) |
Context | array of object |
StatusCode | string |
Description | string |
SearchTerm | string |
Order | string |
POST /api/reward/award/import
Bulk import awards
Request body
[
{
"PersonId": 0,
"Total": 0,
"Reason": "string",
"AwardedById": 0,
"CategoryIds": [
0
]
}
]| Field | Type |
|---|---|
PersonId | integer (int32) |
Total | integer (int32) |
Reason | string |
AwardedById | integer (int32) |
CategoryIds | array of integer |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 403 |
Response body
[
{
"AwardId": 0,
"PersonId": 0,
"RecipientFullName": "string",
"RecipientUsername": "string",
"RecipientEmail": "string",
"Total": 0,
"Reason": "string",
"AwardedById": 0,
"AwarderFullName": "string",
"AwarderUsername": "string",
"AwarderEmail": "string",
"DateAdded": "2024-01-01T00:00:00Z",
"Active": true,
"TimelineActionId": 0,
"Categories": "string",
"Status": "Success",
"ValidationMessage": "string",
"AwardTitle": "string",
"StatusMessage": "string"
}
]| Field | Type |
|---|---|
AwardId | integer (int32) |
PersonId | integer (int32) |
RecipientFullName | string |
RecipientUsername | string |
RecipientEmail | string |
Total | integer (int32) |
Reason | string |
AwardedById | integer (int32) |
AwarderFullName | string |
AwarderUsername | string |
AwarderEmail | string |
DateAdded | string (date-time) |
Active | boolean |
TimelineActionId | integer (int32) |
Categories | string |
Status | string |
ValidationMessage | string |
AwardTitle | string |
StatusMessage | string |
POST /api/reward/award/import-parse
Bulk import awards
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 403 |
Response body
[
{
"RowNumber": 0,
"RowAwardId": 0,
"RowPersonId": 0,
"RowEmail": "string",
"RowUmiId": "string",
"RowTotal": 0,
"RowReason": "string",
"RowAwarderPersonId": 0,
"RowIsActive": true,
"RowIsDelete": true,
"FullName": "string",
"PersonId": 0,
"Errors": [
{
"Type": "string",
"Message": "string"
}
]
}
]| Field | Type |
|---|---|
RowNumber | integer (int32) |
RowAwardId | integer (int32) |
RowPersonId | integer (int32) |
RowEmail | string |
RowUmiId | string |
RowTotal | integer (int32) |
RowReason | string |
RowAwarderPersonId | integer (int32) |
RowIsActive | boolean |
RowIsDelete | boolean |
FullName | string |
PersonId | integer (int32) |
Errors | array of object |
PUT /api/reward/award/{awardId}/active
Toggle active status of specific award
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
awardId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 |
DELETE /api/reward/award
Delete an award by ID.
Request body
{
"AwardId": 0,
"PersonId": 0,
"Total": 0,
"Reason": "string",
"AwardedById": 0,
"DateAdded": "2024-01-01T00:00:00Z",
"Active": true,
"TimelineActionId": 0
}| Field | Type |
|---|---|
AwardId | integer (int32) |
PersonId | integer (int32) |
Total | integer (int32) |
Reason | string |
AwardedById | integer (int32) |
DateAdded | string (date-time) |
Active | boolean |
TimelineActionId | integer (int32) |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 |
Response body
{
"AwardId": 0,
"PersonId": 0,
"RecipientFullName": "string",
"RecipientUsername": "string",
"RecipientEmail": "string",
"Total": 0,
"Reason": "string",
"AwardedById": 0,
"AwarderFullName": "string",
"AwarderUsername": "string",
"AwarderEmail": "string",
"DateAdded": "2024-01-01T00:00:00Z",
"Active": true,
"TimelineActionId": 0,
"Categories": "string",
"Status": "Success",
"ValidationMessage": "string",
"AwardTitle": "string",
"StatusMessage": "string"
}| Field | Type |
|---|---|
AwardId | integer (int32) |
PersonId | integer (int32) |
RecipientFullName | string |
RecipientUsername | string |
RecipientEmail | string |
Total | integer (int32) |
Reason | string |
AwardedById | integer (int32) |
AwarderFullName | string |
AwarderUsername | string |
AwarderEmail | string |
DateAdded | string (date-time) |
Active | boolean |
TimelineActionId | integer (int32) |
Categories | string |
Status | string |
ValidationMessage | string |
AwardTitle | string |
StatusMessage | string |
DELETE /api/reward/award/bulk
Bulk assign awards
Request body
[
{
"AwardId": 0,
"PersonId": 0,
"Total": 0,
"Reason": "string",
"AwardedById": 0,
"DateAdded": "2024-01-01T00:00:00Z",
"Active": true,
"TimelineActionId": 0
}
]| Field | Type |
|---|---|
AwardId | integer (int32) |
PersonId | integer (int32) |
Total | integer (int32) |
Reason | string |
AwardedById | integer (int32) |
DateAdded | string (date-time) |
Active | boolean |
TimelineActionId | integer (int32) |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 |
Response body
[
{
"AwardId": 0,
"PersonId": 0,
"RecipientFullName": "string",
"RecipientUsername": "string",
"RecipientEmail": "string",
"Total": 0,
"Reason": "string",
"AwardedById": 0,
"AwarderFullName": "string",
"AwarderUsername": "string",
"AwarderEmail": "string",
"DateAdded": "2024-01-01T00:00:00Z",
"Active": true,
"TimelineActionId": 0,
"Categories": "string",
"Status": "Success",
"ValidationMessage": "string",
"AwardTitle": "string",
"StatusMessage": "string"
}
]| Field | Type |
|---|---|
AwardId | integer (int32) |
PersonId | integer (int32) |
RecipientFullName | string |
RecipientUsername | string |
RecipientEmail | string |
Total | integer (int32) |
Reason | string |
AwardedById | integer (int32) |
AwarderFullName | string |
AwarderUsername | string |
AwarderEmail | string |
DateAdded | string (date-time) |
Active | boolean |
TimelineActionId | integer (int32) |
Categories | string |
Status | string |
ValidationMessage | string |
AwardTitle | string |
StatusMessage | string |
GET /api/reward/category
List categories.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
limit |
query | integer (int32) | Yes | |
offset |
query | integer (int32) | Yes | |
active |
query | boolean | No | |
order |
query | string | No | |
searchTerm |
query | string | No | |
dateFrom |
query | string (date-time) | No | |
dateTo |
query | string (date-time) | No |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"TotalResults": 0,
"Offset": 0,
"Limit": 0,
"Context": [
{
"Id": 0,
"Title": "string",
"Active": true,
"AwardedCount": 0,
"PointsTotal": 0,
"Status": "Success"
}
],
"StatusCode": "Continue",
"Description": "string",
"SearchTerm": "string",
"Order": "string"
}| Field | Type |
|---|---|
TotalResults | integer (int32) |
Offset | integer (int32) |
Limit | integer (int32) |
Context | array of object |
StatusCode | string |
Description | string |
SearchTerm | string |
Order | string |
GET /api/reward/category/{id}
Get a category by ID.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"TotalResults": 0,
"Offset": 0,
"Limit": 0,
"Context": [
{
"Id": 0,
"Title": "string",
"Active": true,
"AwardedCount": 0,
"PointsTotal": 0,
"Status": "Success"
}
],
"StatusCode": "Continue",
"Description": "string",
"SearchTerm": "string",
"Order": "string"
}| Field | Type |
|---|---|
TotalResults | integer (int32) |
Offset | integer (int32) |
Limit | integer (int32) |
Context | array of object |
StatusCode | string |
Description | string |
SearchTerm | string |
Order | string |
POST /api/reward/category
Create a reward category
Request body
{
"Id": 0,
"Title": "string",
"Active": true,
"CreatedDate": "2024-01-01T00:00:00Z",
"UpdatedDate": "2024-01-01T00:00:00Z"
}| Field | Type |
|---|---|
Id | integer (int32) |
Title | string |
Active | boolean |
CreatedDate | string (date-time) |
UpdatedDate | string (date-time) |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 |
Response body
{
"Id": 0,
"Title": "string",
"Active": true,
"AwardedCount": 0,
"PointsTotal": 0,
"Status": "Success"
}| Field | Type |
|---|---|
Id | integer (int32) |
Title | string |
Active | boolean |
AwardedCount | integer (int32) |
PointsTotal | integer (int32) |
Status | string |
PUT /api/reward/category
Update a reward category
Request body
{
"Id": 0,
"Title": "string",
"Active": true,
"CreatedDate": "2024-01-01T00:00:00Z",
"UpdatedDate": "2024-01-01T00:00:00Z"
}| Field | Type |
|---|---|
Id | integer (int32) |
Title | string |
Active | boolean |
CreatedDate | string (date-time) |
UpdatedDate | string (date-time) |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 |
Response body
{
"Id": 0,
"Title": "string",
"Active": true,
"AwardedCount": 0,
"PointsTotal": 0,
"Status": "Success"
}| Field | Type |
|---|---|
Id | integer (int32) |
Title | string |
Active | boolean |
AwardedCount | integer (int32) |
PointsTotal | integer (int32) |
Status | string |
PUT /api/reward/category/active/{id}
Toggles reward category
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 |
GET /api/reward/claim
Get all claims
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
limit |
query | integer (int32) | Yes | |
offset |
query | integer (int32) | Yes | |
order |
query | string | No | |
searchTerm |
query | string | No | |
active |
query | boolean | No | |
processed |
query | boolean | No | |
dateFrom |
query | string (date-time) | No | |
dateTo |
query | string (date-time) | No |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"TotalResults": 0,
"Offset": 0,
"Limit": 0,
"Context": [
{
"ClaimId": 0,
"PersonId": 0,
"FullName": "string",
"Username": "string",
"Email": "string",
"RewardId": 0,
"Title": "string",
"Total": 0,
"DateAdded": "2024-01-01T00:00:00Z",
"Active": true,
"Processed": true,
"Status": "Success",
"StatusMessage": "string"
}
],
"StatusCode": "Continue",
"Description": "string",
"SearchTerm": "string",
"Order": "string"
}| Field | Type |
|---|---|
TotalResults | integer (int32) |
Offset | integer (int32) |
Limit | integer (int32) |
Context | array of object |
StatusCode | string |
Description | string |
SearchTerm | string |
Order | string |
PUT /api/reward/claim
Update a claim
Request body
{
"ClaimId": 0,
"PersonId": 0,
"Total": 0,
"RewardId": 0,
"DateAdded": "2024-01-01T00:00:00Z",
"Active": true,
"Processed": true
}| Field | Type |
|---|---|
ClaimId | integer (int32) |
PersonId | integer (int32) |
Total | integer (int32) |
RewardId | integer (int32) |
DateAdded | string (date-time) |
Active | boolean |
Processed | boolean |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"ClaimId": 0,
"PersonId": 0,
"FullName": "string",
"Username": "string",
"Email": "string",
"RewardId": 0,
"Title": "string",
"Total": 0,
"DateAdded": "2024-01-01T00:00:00Z",
"Active": true,
"Processed": true,
"Status": "Success",
"StatusMessage": "string"
}| Field | Type |
|---|---|
ClaimId | integer (int32) |
PersonId | integer (int32) |
FullName | string |
Username | string |
Email | string |
RewardId | integer (int32) |
Title | string |
Total | integer (int32) |
DateAdded | string (date-time) |
Active | boolean |
Processed | boolean |
Status | string |
StatusMessage | string |
PUT /api/reward/claim/{id}/process
Process a claim
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"ClaimId": 0,
"PersonId": 0,
"FullName": "string",
"Username": "string",
"Email": "string",
"RewardId": 0,
"Title": "string",
"Total": 0,
"DateAdded": "2024-01-01T00:00:00Z",
"Active": true,
"Processed": true,
"Status": "Success",
"StatusMessage": "string"
}| Field | Type |
|---|---|
ClaimId | integer (int32) |
PersonId | integer (int32) |
FullName | string |
Username | string |
Email | string |
RewardId | integer (int32) |
Title | string |
Total | integer (int32) |
DateAdded | string (date-time) |
Active | boolean |
Processed | boolean |
Status | string |
StatusMessage | string |
PUT /api/reward/claim/{id}/reverse
Process a claim
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"ClaimId": 0,
"PersonId": 0,
"FullName": "string",
"Username": "string",
"Email": "string",
"RewardId": 0,
"Title": "string",
"Total": 0,
"DateAdded": "2024-01-01T00:00:00Z",
"Active": true,
"Processed": true,
"Status": "Success",
"StatusMessage": "string"
}| Field | Type |
|---|---|
ClaimId | integer (int32) |
PersonId | integer (int32) |
FullName | string |
Username | string |
Email | string |
RewardId | integer (int32) |
Title | string |
Total | integer (int32) |
DateAdded | string (date-time) |
Active | boolean |
Processed | boolean |
Status | string |
StatusMessage | string |
GET /api/people/{id}/reward/allowance
Gets a persons reward allowance (to give)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | integer (int32) |
| 400 | |
| 404 |
GET /api/people/{id}/reward/awards
Get a persons awards
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
path | integer (int32) | Yes | |
limit |
query | integer (int32) | Yes | |
offset |
query | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 404 |
Response body
{
"TotalResults": 0,
"Offset": 0,
"Limit": 0,
"Context": [
{
"AwardId": 0,
"PersonId": 0,
"RecipientFullName": "string",
"RecipientUsername": "string",
"RecipientEmail": "string",
"Total": 0,
"Reason": "string",
"AwardedById": 0,
"AwarderFullName": "string",
"AwarderUsername": "string",
"AwarderEmail": "string",
"DateAdded": "2024-01-01T00:00:00Z",
"Active": true,
"TimelineActionId": 0,
"Categories": "string",
"Status": "Success",
"ValidationMessage": "string",
"AwardTitle": "string",
"StatusMessage": "string"
}
],
"StatusCode": "Continue",
"Description": "string",
"SearchTerm": "string",
"Order": "string"
}| Field | Type |
|---|---|
TotalResults | integer (int32) |
Offset | integer (int32) |
Limit | integer (int32) |
Context | array of object |
StatusCode | string |
Description | string |
SearchTerm | string |
Order | string |
GET /api/people/{id}/reward/balance
Gets a persons balance
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 404 |
Response body
{
"PersonId": 0,
"Received": 0,
"Spent": 0,
"Total": 0
}| Field | Type |
|---|---|
PersonId | integer (int32) |
Received | integer (int32) |
Spent | integer (int32) |
Total | integer (int32) |
GET /api/people/{id}/reward/claim
Get all claims for a person
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
path | integer (int32) | Yes | |
limit |
query | integer (int32) | Yes | |
offset |
query | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 404 |
Response body
{
"TotalResults": 0,
"Offset": 0,
"Limit": 0,
"Context": [
{
"ClaimId": 0,
"PersonId": 0,
"FullName": "string",
"Username": "string",
"Email": "string",
"RewardId": 0,
"Title": "string",
"Total": 0,
"DateAdded": "2024-01-01T00:00:00Z",
"Active": true,
"Processed": true,
"Status": "Success",
"StatusMessage": "string"
}
],
"StatusCode": "Continue",
"Description": "string",
"SearchTerm": "string",
"Order": "string"
}| Field | Type |
|---|---|
TotalResults | integer (int32) |
Offset | integer (int32) |
Limit | integer (int32) |
Context | array of object |
StatusCode | string |
Description | string |
SearchTerm | string |
Order | string |
POST /api/people/{id}/reward/claim
Claim a reward
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
path | integer (int32) | Yes |
Request body
{
"ClaimId": 0,
"PersonId": 0,
"Total": 0,
"RewardId": 0,
"DateAdded": "2024-01-01T00:00:00Z",
"Active": true,
"Processed": true
}| Field | Type |
|---|---|
ClaimId | integer (int32) |
PersonId | integer (int32) |
Total | integer (int32) |
RewardId | integer (int32) |
DateAdded | string (date-time) |
Active | boolean |
Processed | boolean |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 |
Response body
{
"ClaimId": 0,
"PersonId": 0,
"FullName": "string",
"Username": "string",
"Email": "string",
"RewardId": 0,
"Title": "string",
"Total": 0,
"DateAdded": "2024-01-01T00:00:00Z",
"Active": true,
"Processed": true,
"Status": "Success",
"StatusMessage": "string"
}| Field | Type |
|---|---|
ClaimId | integer (int32) |
PersonId | integer (int32) |
FullName | string |
Username | string |
Email | string |
RewardId | integer (int32) |
Title | string |
Total | integer (int32) |
DateAdded | string (date-time) |
Active | boolean |
Processed | boolean |
Status | string |
StatusMessage | string |
PUT /api/people/{id}/reward/award
Give an award
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
path | integer (int32) | Yes |
Request body
{
"Total": 0,
"Reason": "string",
"CategoryIds": [
0
]
}| Field | Type |
|---|---|
Total | integer (int32) |
Reason | string |
CategoryIds | array of integer |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 404 |
Response body
{
"AwardId": 0,
"PersonId": 0,
"RecipientFullName": "string",
"RecipientUsername": "string",
"RecipientEmail": "string",
"Total": 0,
"Reason": "string",
"AwardedById": 0,
"AwarderFullName": "string",
"AwarderUsername": "string",
"AwarderEmail": "string",
"DateAdded": "2024-01-01T00:00:00Z",
"Active": true,
"TimelineActionId": 0,
"Categories": "string",
"Status": "Success",
"ValidationMessage": "string",
"AwardTitle": "string",
"StatusMessage": "string"
}| Field | Type |
|---|---|
AwardId | integer (int32) |
PersonId | integer (int32) |
RecipientFullName | string |
RecipientUsername | string |
RecipientEmail | string |
Total | integer (int32) |
Reason | string |
AwardedById | integer (int32) |
AwarderFullName | string |
AwarderUsername | string |
AwarderEmail | string |
DateAdded | string (date-time) |
Active | boolean |
TimelineActionId | integer (int32) |
Categories | string |
Status | string |
ValidationMessage | string |
AwardTitle | string |
StatusMessage | string |
PUT /api/people/{id}/reward/claim
Update an upnprocessed claim
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
path | integer (int32) | Yes |
Request body
{
"ClaimId": 0,
"PersonId": 0,
"Total": 0,
"RewardId": 0,
"DateAdded": "2024-01-01T00:00:00Z",
"Active": true,
"Processed": true
}| Field | Type |
|---|---|
ClaimId | integer (int32) |
PersonId | integer (int32) |
Total | integer (int32) |
RewardId | integer (int32) |
DateAdded | string (date-time) |
Active | boolean |
Processed | boolean |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 404 |
Response body
{
"ClaimId": 0,
"PersonId": 0,
"FullName": "string",
"Username": "string",
"Email": "string",
"RewardId": 0,
"Title": "string",
"Total": 0,
"DateAdded": "2024-01-01T00:00:00Z",
"Active": true,
"Processed": true,
"Status": "Success",
"StatusMessage": "string"
}| Field | Type |
|---|---|
ClaimId | integer (int32) |
PersonId | integer (int32) |
FullName | string |
Username | string |
Email | string |
RewardId | integer (int32) |
Title | string |
Total | integer (int32) |
DateAdded | string (date-time) |
Active | boolean |
Processed | boolean |
Status | string |
StatusMessage | string |